create table TBL_DM_DISTRIBUTION_ASSIGNMENT_EXTRA_INFO (
	_id 					        INTEGER PRIMARY KEY autoincrement,
 	FK_DIST_ASSIGNMENT		INTEGER NOT NULL,
 	SRV_PK				        INTEGER ,
  DESCRIPTION           TEXT,
  IS_DELETED            INTEGER NOT NULL DEFAULT 0,
	CREATE_DATE		        INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
	CHANGE_DATE		        INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
 	FOREIGN KEY (FK_DIST_ASSIGNMENT)   REFERENCES TBL_DM_DISTRIBUTION_ASSIGNMENT (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_EXTRA_INFO                     ON TBL_DM_DISTRIBUTION_ASSIGNMENT_EXTRA_INFO (_id);
CREATE index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_EXTRA_INFO_FK_DIST_ASSIGNMENT  ON TBL_DM_DISTRIBUTION_ASSIGNMENT_EXTRA_INFO (FK_DIST_ASSIGNMENT);