ALTER TABLE TBL_DM_ORDER ADD column SRV_PK integer null ON CONFLICT fail;
ALTER TABLE TBL_DM_HOT_SALES_INVOICE ADD column SRV_PK integer null ON CONFLICT fail;
ALTER TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE ADD column SRV_PK integer null ON CONFLICT fail;
ALTER TABLE TBL_DM_RETURN_INVOICE ADD column SRV_PK integer null ON CONFLICT fail;

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فعالیت سفارش گیری','1','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فعالیت فروش گرم','2','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('وصول فاکتور فروش گرم','3','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور کردن حواله فروش','4','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('وصول فاکتور فروش سرد غیر قطعی','5','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تحویل فاکتور فروش سرد قطعی','6','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('وصول فاکتور فروش سرد قطعی','7','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور کردن مجوز برگشتی','8','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('وصول قلم لیست وصول','9','UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('وصول فاکتور تسویه نشده','10','UNEXECUTED_REASON_TYPE');


INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور فروش گرم','1','RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور فروش سرد غیر قطعی','2','RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور فروش سرد قطعی','3','RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('قلم لیست وصول','4','RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور تسویه نشده','5','RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('خارج از برنامه','6','RECEIPT_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال نشده', '1', 'SENDING_RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال شده', '2', 'SENDING_RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال ارسال', '3', 'SENDING_RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال با خطا', '4', 'SENDING_RECEIPT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال حذف بعد از ارسال', '5', 'SENDING_RECEIPT_TYPE');

ALTER TABLE TBL_DM_RECEIPT ADD column FK_LKP_SENDING_STATUS integer not null default 0;
update TBL_DM_RECEIPT SET FK_LKP_SENDING_STATUS = (select _id from TBL_GN_LOOKUP where Type='SENDING_RECEIPT_TYPE' and code = 2);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال نشده', '1', 'SENDING_UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال شده', '2', 'SENDING_UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال ارسال', '3', 'SENDING_UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال با خطا', '4', 'SENDING_UNEXECUTED_REASON_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال حذف بعد از ارسال', '5', 'SENDING_UNEXECUTED_REASON_TYPE');

ALTER TABLE TBL_DM_TRTM_ACT_UNEXEC_REASON_INF ADD column FK_LKP_SENDING_STATUS integer not null default 0;
update TBL_DM_TRTM_ACT_UNEXEC_REASON_INF SET FK_LKP_SENDING_STATUS = (select _id from TBL_GN_LOOKUP where Type='SENDING_UNEXECUTED_REASON_TYPE' and code = 2);

