CREATE TABLE TBL_DM_CUSTOMER_TAG_INF (
	_id 				  integer primary key autoincrement,
	FK_CUSTOMER		integer not null,
	FK_TAG				integer not null,
	IS_DELETED		integer not null default 0,
	CREATE_DATE		integer default (strftime('%s','now')*1000),
	CHANGE_DATE		integer default (strftime('%s','now')*1000),
	foreign key (FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	foreign key (FK_TAG) references TBL_DM_TAG (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_CUSTOMER_TAG_INF_PK on TBL_DM_CUSTOMER_TAG_INF (_id);
create index idx_TBL_DM_CUSTOMER_TAG_INF_FK_CUSTOMER on TBL_DM_CUSTOMER_TAG_INF (FK_CUSTOMER);
create index idx_TBL_DM_CUSTOMER_TAG_INF_FK_TAG on TBL_DM_CUSTOMER_TAG_INF (FK_TAG);

