CREATE TABLE TBL_DM_DETAILED_ACCOUNT_INFO (
	_id               integer PRIMARY KEY autoincrement,
	FK_ACCOUNT_INFO   integer NOT NULL,
	ACCOUNT_NUMBER	  TEXT,
	ACCOUNT_TITLE	    text,
	ONCREDIT_BALANCE	real null,
	BALANCE						real null,
  CREATE_DATE				integer default (strftime('%s','now')*1000),
	CHANGE_DATE				integer default (strftime('%s','now')*1000),
	foreign key(FK_ACCOUNT_INFO) references TBL_DM_ACCOUNT_INFO (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_DETAILED_ACCOUNT_INFO_PK on TBL_DM_DETAILED_ACCOUNT_INFO (_id);
create index idx_TBL_DM_DETAILED_ACCOUNT_INFO_ACCOUNT_NUMBER on TBL_DM_DETAILED_ACCOUNT_INFO (ACCOUNT_NUMBER);
