CREATE TABLE TBL_DM_PAYER_TYPE (
    _id             integer primary key autoincrement,
    CODE            text not null,
    NAME            text not null,
    IS_DELETED      integer not null default 0 ,
    CREATE_DATE     datetime default (strftime('%s','now') * 1000),
    CHANGE_DATE     datetime default (strftime('%s','now') * 1000)
);

create index idx_TBL_DM_PAYER_TYPE_PK on TBL_DM_PAYER_TYPE (_id);
create index idx_TBL_DM_PAYER_TYPE_CODE on TBL_DM_PAYER_TYPE (CODE);
create index idx_TBL_DM_PAYER_TYPE_NAME on TBL_DM_PAYER_TYPE (NAME);
