INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور فروش', '1', 'REPORT_OBJECT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور برگشتی', '2', 'REPORT_OBJECT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('مجوز برگشتی', '3', 'REPORT_OBJECT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('سفارش', '4', 'REPORT_OBJECT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تور', '5', 'REPORT_OBJECT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('حواله پخش', '6', 'REPORT_OBJECT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('بدون نوع', '7', 'REPORT_OBJECT_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور فروش', '12', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('فاکتور برگشتی', '13', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('مجوز برگشتی', '14', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('سفارش', '15', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('حواله پخش', '16', 'REPORT_PARAMETER_REFERENCE_TYPE');

CREATE TABLE TBL_DM_REPORT_OBJECT_TYPE_INF (
    _id                     integer primary key autoincrement,
    FK_REPORT               integer not null,
    FK_LKP_OBJECT_TYPE      integer not null,
    CREATE_DATE				integer default (strftime('%s','now')*1000),
	CHANGE_DATE				integer default (strftime('%s','now')*1000),
	foreign key (FK_REPORT) references TBL_DM_REPORT (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_OBJECT_TYPE) references TBL_GN_LOOKUP (_id),
	UNIQUE (FK_REPORT, FK_LKP_OBJECT_TYPE) ON CONFLICT ROLLBACK
);

insert into TBL_DM_REPORT_OBJECT_TYPE_INF(FK_REPORT, FK_LKP_OBJECT_TYPE)
	select _id, 1 from TBL_DM_REPORT;

update TBL_DM_REPORT_OBJECT_TYPE_INF set FK_LKP_OBJECT_TYPE = (select _id from TBL_GN_LOOKUP where TYPE = 'REPORT_OBJECT_TYPE' and CODE = '7');