CREATE TABLE TBL_DM_PRESENCE_DURATION (
		_id 			                  integer primary key autoincrement,
		FK_TOUR_ITEM	                  integer not null unique ON CONFLICT fail,
		ENTER_TIME		                  integer,
		FK_ENTER_LOCATION	              integer null references TBL_DM_LOCATION (_id),
		ENTER_IN_CUSTOMER_LOCATION_AREA   integer,
		EXIT_TIME		                  integer,
		FK_EXIT_LOCATION	              integer null references TBL_DM_LOCATION (_id),
		EXIT_IN_CUSTOMER_LOCATION_AREA    integer,
		foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE
);