ALTER TABLE TBL_GN_USER ADD COLUMN IS_ALTERNATIVE_VISITOR INTEGER DEFAULT 0;

ALTER TABLE TBL_DM_ORDER ADD COLUMN FK_ALTERNATIVE_VISITOR INTEGER;
create index idx_TBL_DM_ORDER_FK_ALTERNATIVE_VISITOR on TBL_DM_ORDER (FK_ALTERNATIVE_VISITOR);

CREATE TABLE TBL_DM_RELATED_BROKER(
    _id             INTEGER PRIMARY KEY autoincrement,
    FK_USER         INTEGER not null,
    BROKER_CODE     INTEGER not null,
    NAME            TEXT not null,
    IS_DELETED      INTEGER DEFAULT 0,
    UNIQUE (BROKER_CODE) ON CONFLICT REPLACE,

    FOREIGN KEY (FK_USER) references TBL_GN_USER ( _id )
);

create index idx_TBL_DM_RELATED_BROKER_PK on TBL_DM_RELATED_BROKER (_id);
create index idx_TBL_DM_RELATED_BROKER_FK_USER on TBL_DM_RELATED_BROKER (FK_USER);