create table TBL_DM_TRACKING_FACTOR ( 
		_id 			integer primary key autoincrement,
		NAME			text not null, 
		SRV_PK			integer not null unique ON CONFLICT fail,
		IS_DELETED		integer not null default 0,
		CREATE_DATE		integer default (strftime('%s','now')*1000),
		CHANGE_DATE		integer default (strftime('%s','now')*1000)
);
		
create index idx_TBL_DM_TRACK_FACTOR_NAME on TBL_DM_TRACKING_FACTOR (NAME);

create index idx_TBL_DM_TRK_FCTR_IS_DELETED on TBL_DM_TRACKING_FACTOR (IS_DELETED);

create index idx_TBL_DM_TRACK_FACTOR_SRV_PK on TBL_DM_TRACKING_FACTOR (SRV_PK);