create table TBL_DM_ACCOUNT_INFO (
	_id 										integer primary key autoincrement,
	FK_CUSTOMER									integer not null,
	NUMBER_OF_UNSETTLED_INVOICES				integer null,
	UNSETTLED_INVOICES_TOTAL_AMOUNT				real null,
	NUMBER_OF_RECEIVED_CHEQUES					integer null,
	RECEIVED_CHEQUES_TOTAL_AMOUNT				real null,
	NUMBER_OF_CUSTOMER_UNRECEIVED_CHEQUES		integer null,
	UNRECEIVED_CHEQUES_TOTAL_AMOUNT				real null,
	NUMBER_OF_REJECTED_CHEQUES					integer null,
	REJECTED_CHEQUES_TOTAL_AMOUNT				real null,
	ONCREDIT_BALANCE							real null,
	BALANCE										real null,
	FIRST_INVOICE_DATE							integer null,
	FIRST_INVOICE_NUMBER						text null,
	FIRST_INVOICE_NET_PRICE						real null,
	CREATE_DATE									integer default (strftime('%s','now')*1000),
	CHANGE_DATE									integer default (strftime('%s','now')*1000),
	foreign key(FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_ACCOUNT_INFO_FK_CUSTOMER on TBL_DM_ACCOUNT_INFO (FK_CUSTOMER);
