create table TBL_DM_BANK ( 
	_id 			integer primary key autoincrement,
	SRV_PK 			integer not null unique ON CONFLICT fail,
	NAME 			text not null unique ON CONFLICT fail,
	IS_DELETED 		integer not null default 0 ,
	CREATE_DATE 	integer not null default (strftime('%s', 'now') * 1000),
	CHANGE_DATE 	integer not null default (strftime('%s', 'now') * 1000)
);

create index idx_TBL_DM_BANK_PK on TBL_DM_BANK (_id);
create index idx_TBL_DM_BANK_SRV_PK on TBL_DM_BANK (SRV_PK);
create index idx_TBL_DM_BANK_NAME on TBL_DM_BANK (NAME);