create table TBL_DM_RETURN_REASON ( 
	_id 			integer primary key autoincrement,
	SRV_PK 			integer not null unique ON CONFLICT fail,
	CODE 			text not null unique ON CONFLICT fail,
	REASON			text not null,
	DESCRIPTION		text,
	IS_DELETED 		integer not null default 0 ,
	CREATE_DATE 	integer not null default (strftime('%s', 'now') * 1000),
	CHANGE_DATE 	integer not null default (strftime('%s', 'now') * 1000)
);

create index idx_TBL_DM_RETURN_REASON_PK on TBL_DM_RETURN_REASON (_id);
create index idx_TBL_DM_RETURN_REASON_SRV_PK on TBL_DM_RETURN_REASON (SRV_PK);
create index idx_TBL_DM_RETURN_REASON_CODE on TBL_DM_RETURN_REASON (CODE);