create table TBL_DM_ACCESS_PERMISSION (
_id INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL ,
NAME TEXT NOT NULL ,
DESCRIPTION TEXT NOT NULL,
CREATE_DATE integer default current_timestamp,CHANGE_DATE integer default current_timestamp
);


create table TBL_DM_USER_ACCESS_PERMISSION (
_id INTEGER PRIMARY KEY  AUTOINCREMENT  NOT NULL,
FK_USER  INTEGER NOT NULL,
FK_SLOF  INTEGER NOT NULL,
FK_ACCESS_PERMISSION  INTEGER NOT NULL,
VALUE TEXT NOT NULL,
CREATE_DATE integer default current_timestamp,
CHANGE_DATE integer default current_timestamp,

foreign key(FK_USER) references TBL_GN_USER (_id) ON DELETE CASCADE,
foreign key(FK_ACCESS_PERMISSION) references TBL_DM_ACCESS_PERMISSION (_id) ON DELETE CASCADE,
foreign key(FK_SLOF) references TBL_DM_SALE_OFFICE (_id) ON DELETE CASCADE
);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('ارسال شده','1','SENDING_VEHICLE_REPOSITORY_DELIVERY_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('در حال ارسال','2','SENDING_VEHICLE_REPOSITORY_DELIVERY_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('ارسال با خطا','3','SENDING_VEHICLE_REPOSITORY_DELIVERY_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('حذف با خطا','4','SENDING_VEHICLE_REPOSITORY_DELIVERY_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('در حال حذف بعد از ارسال','5','SENDING_VEHICLE_REPOSITORY_DELIVERY_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تحویل با خطا','4','DISTRIBUTION_ASSIGNMENT_STATUS_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('درحال تحویل','5','DISTRIBUTION_ASSIGNMENT_STATUS_TYPE');
