ALTER TABLE TBL_GN_USER ADD COLUMN RAHKARAN_USERNAME text null;

CREATE TABLE TBL_DM_ADMINISTRATION_PAGE (
	_id 					integer primary key autoincrement,
	FK_USRSLOF              integer not null,
	TITLE 				    text null,
	URL 				    text null,
	CREATE_DATE 			integer default (strftime('%s','now')*1000),
	CHANGE_DATE 			integer default (strftime('%s','now')*1000),
	foreign key (FK_USRSLOF) references TBL_DM_USER_SALE_OFFICE_INF(_id)
);

CREATE index idx_TBL_DM_ADMINISTRATION_PAGE_PK  ON TBL_DM_ADMINISTRATION_PAGE (_id);
CREATE index idx_TBL_DM_ADMINISTRATION_PAGE_FK_USRSLOF  ON TBL_DM_ADMINISTRATION_PAGE (FK_USRSLOF);
CREATE index idx_TBL_DM_ADMINISTRATION_PAGE_TITLE  ON TBL_DM_ADMINISTRATION_PAGE (TITLE);
