CREATE TABLE TBL_DM_PRODUCT_PLANT_STORE_INF (
    _id         INTEGER PRIMARY KEY AUTOINCREMENT,
    FK_PRODUCT  INTEGER NOT NULL,
    FK_PLANT    INTEGER NOT NULL,
    FK_STORE    INTEGER,
    CREATE_DATE INTEGER DEFAULT (strftime('%s', 'now') * 1000),
    CHANGE_DATE INTEGER DEFAULT (strftime('%s', 'now') * 1000),
    FOREIGN KEY (
        fk_product
    )
    REFERENCES TBL_DM_PRODUCT (_id) ON DELETE CASCADE,
    FOREIGN KEY (
        fk_plant
    )
    REFERENCES TBL_DM_PLANTS (_id) ON DELETE CASCADE,
    FOREIGN KEY (
        fk_store
    )
    REFERENCES TBL_DM_STORE (_id) ON DELETE CASCADE,
    UNIQUE (
        fk_product,
        fk_plant,
        fk_store
    )
    ON CONFLICT FAIL
);