CREATE TABLE TBL_DM_LATEST_INVOICES_POLICY_RESULT (
    _id integer primary key autoincrement,VALUE real null,
    VALUE_TITLE text not null,
    AMOUNT real,
    IS_ALLOTMENTED integer not null,
    IS_VALUE_CHANGED integer not null,
    FK_SLPLCY integer not null,
    FK_SALES_INVOICE integer null,
    FK_SALES_INVOICE_ITEM integer null,
    CREATE_DATE integer not null default (strftime('%s','now') * 1000),
    CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
    iS_VIEWABLE INTEGER NOT NULL DEFAULT 0,
    iS_FIXED INTEGER NOT NULL DEFAULT 0,
    foreign key( FK_SALES_INVOICE ) references TBL_DM_LATEST_INVOICES_INFO ( _id ) ON DELETE CASCADE,
    foreign key( FK_SALES_INVOICE_ITEM ) references TBL_DM_INVOICES_ITEM ( _id ) ON DELETE CASCADE,
    foreign key( FK_SLPLCY ) references TBL_DM_SALES_POLICY ( _id )
);

ALTER TABLE TBL_DM_LATEST_INVOICES_INFO ADD COLUMN PRICE REAL NULL;
ALTER TABLE TBL_DM_LATEST_INVOICES_INFO ADD COLUMN DESCRIPTION TEXT null;
ALTER TABLE TBL_DM_LATEST_INVOICES_INFO ADD COLUMN ADDITION_AMOUNT real not null default 0;
ALTER TABLE TBL_DM_LATEST_INVOICES_INFO ADD COLUMN MODIFIED_NUMBER INTEGER NULL;
ALTER TABLE TBL_DM_LATEST_INVOICES_INFO ADD COLUMN FK_SLAR integer NULL references TBL_DM_SALES_AREA (_id);
ALTER TABLE TBL_DM_LATEST_INVOICES_INFO ADD COLUMN FK_ADRS integer NULL references TBL_DM_ADDRESS (_id);


ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FEE REAL NOT NULL DEFAULT 0;
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FREE_PRODUCT_CONDITION_ROW_ID INTEGER NULL;
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN NET_PRICE REAL NOT NULL DEFAULT 0;
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FK_LKP_TYPE INTEGER NOT NULL DEFAULT 1 REFERENCES TBL_GN_LOOKUP (_id);
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FK_ITEM_PARENT INTEGER NULL REFERENCES TBL_DM_INVOICES_ITEM (_id);
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FK_SLPLCY_FREE_PRODUCT_POLICY INTEGER NULL REFERENCES TBL_DM_SALES_POLICY (_id);
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FK_PRODUCT_PACK INTEGER NULL REFERENCES TBL_DM_PRODUCT_PACK (_id);
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FK_PRODUCT_PACK_ITEM INTEGER NULL REFERENCES TBL_DM_PRDT_ITEM_PRODUCT_PACK (_id);
ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN PRODUCT_PACK_QUANTITY INTEGER NULL;